Page MenuHomePhabricator

RecentChanges: Buttons associated with the showrollbackconfirmation overlap in the Mobile view
Closed, ResolvedPublic5 Estimated Story PointsBUG REPORT

Assigned To
Authored By
Huji
May 17 2022, 11:16 PM
Referenced Files
F35241628: image.png
Tue, Jun 14, 11:29 PM
F35241611: image.png
Tue, Jun 14, 11:29 PM
F35241638: image.png
Tue, Jun 14, 11:29 PM
F35241624: image.png
Tue, Jun 14, 11:29 PM
F35241181: image.png
Tue, Jun 14, 11:29 PM
F35241187: image.png
Tue, Jun 14, 11:29 PM
F35241197: image.png
Tue, Jun 14, 11:29 PM
F35241184: image.png
Tue, Jun 14, 11:29 PM

Description

List of steps to reproduce (step by step, including full links if applicable):

  • Enable the showrollbackconfirmation feature from Special:Preferences > Appearance
  • Try to rollback an edit while in Mobile view (i.e. press the left button in the view below)

image.png (488×1 px, 206 KB)

What happens?:
The buttons overlap each other and become unreadable, like this:

image.png (605×1 px, 215 KB)

Also, if you click on Cancel (انصراف in Persian interface) then the original view above is shown but some text overlays it makes it unreadable:

image.png (637×1 px, 210 KB)

What should have happened instead?:
Proper floating of HTML elements should prevent the buttons or text to overlap.

Software version (if not a Wikimedia wiki), browser information, screenshots, other information, etc.: current version on WMF wikis. Bug reported on behalf of @LordProfo

QA Steps

username Patch Demo password patchdemo1

Event Timeline

@Huji: Please always include full links if possible, to avoid misunderstandings. Thanks.

@Jdlrobson This is From Recent Pages in Persian Wikipedia, And from Phone Version

Jdlrobson renamed this task from Buttons associated with the showrollbackconfirmation overlap in the Mobile view to RecentChanges: Buttons associated with the showrollbackconfirmation overlap in the Mobile view.May 18 2022, 1:58 PM

Thanks!

kostajh added a subscriber: kostajh.

@Jdlrobson will this be handled by the web team?

@kostajh mobile web is not a priority for the team right now, so probably not. I guess which team takes this one will depend on whether a change is needed in core or Minerva (I would guess the former).

@Jdlrobson It's not only for this page, It happens whenever you're rollbacking something in the Mobile Web.

@Folklore could you list which pages you are seeing this error on? I'm not familiar with this feature, is it a gadget ie. is it available with safemode=1 in the URL?

Perhaps moderator tools might be the best focused right now to look into this problem, so I'm tagging them.

@Jdlrobson in every page that you can rollback
As of:Recent changes/revison history .etc

Samwalton9 added a subscriber: Samwalton9.

I can confirm I've seen this in my recent testing of preferences. Adding to our backlog, definitely in scope for our team :)

@Samwalton9 Hi dear Thanks for your help, if you need any more info Tag me, I'll try my best to answer you as soon as possible

Samwalton9 set the point value for this task to 5.May 25 2022, 4:58 PM
Samwalton9 moved this task from Preferences to Kanban on the Moderator-Tools-Team board.

@Scardenasmolinar Hi, the problem is not Solved yet, Can you please tell me how long it will take? Thanks!

Hi @Folklore - Susana is working on this ticket this week, and we can't say exactly how long it will take. We'll update with progress here :)

Change 803616 had a related patch set uploaded (by Scardenasmolinar; author: Scardenasmolinar):

[mediawiki/core@master] Bugfix: Add padding to confirmable links when hiding the rollback button

https://gerrit.wikimedia.org/r/803616

Test wiki created on Patch demo by SCardenas (WMF) using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/f5d3fb8845/w/

Test wiki on Patch demo by SCardenas (WMF) using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/f5d3fb8845/w/

Test wiki created on Patch demo by SCardenas (WMF) using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/02e0e36915/w/

I have created a Patch Demo to test the changes I made and they seem to be working for Vector, Monobook, Timeless, and Minerva.

I have created a Patch Demo to test the changes I made and they seem to be working for Vector, Monobook, Timeless, and Minerva.

Thanks! How can I test this, is there an admin account I can log into?

Yes, here are some credentials you can use:

  • Patch Demo (admin)
    • password: patchdemo1
  • Alice (user)
    • password: patchdemo1

This is more functional but has some weird behaviour/alignment issues in Chrome (desktop inspect and mobile). Gifs below:

Rollback_contributions.gif (577×381 px, 103 KB)

Rollback_recentchanges.gif (577×381 px, 105 KB)

Some content seems to blink into view briefly as the button moves lower on the page, and then there's what looks like the edge of some other button on the left of the "Please confirm" dialog.

Change 804430 had a related patch set uploaded (by Jsn.sherman; author: Jsn.sherman):

[mediawiki/core@master] Demonstration: toggle visibility of elements in confirmation message to deal with positioning bugs

https://gerrit.wikimedia.org/r/804430

jsn.sherman added a subscriber: jsn.sherman.

I think we should take a different approach to solving this one. I just pushed out a PoC that is a different approach to editing the same js module, but we could also try hacking it in MobileFrontend or Minerva.

I think I got a solution working that is a combination of both patches. Patch Demo incoming...

Test wiki on Patch demo by SCardenas (WMF) using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/02e0e36915/w/

Test wiki created on Patch demo by SCardenas (WMF) using patch(es) linked to this task:
https://patchdemo.wmflabs.org/wikis/341b940b6e/w/

@jsn.sherman, @Scardenasmolinar:

I have verified the Rollback and Cancel features are functioning and displaying per the QA Steps listed in the ticket Description.

Below are some screenshots of the Rollback and Cancel features with various browsers and devices.

image.png (562×1 px, 100 KB)

image.png (792×1 px, 179 KB)

image.png (802×1 px, 181 KB)

image.png (916×1 px, 71 KB)

image.png (974×1 px, 103 KB)

image.png (653×1 px, 56 KB)

image.png (886×1 px, 112 KB)

image.png (420×1 px, 109 KB)

image.png (451×1 px, 111 KB)

image.png (790×414 px, 175 KB)

image.png (802×629 px, 142 KB)

image.png (785×615 px, 134 KB)

image.png (801×625 px, 161 KB)

image.png (794×622 px, 163 KB)

image.png (897×463 px, 220 KB)

image.png (896×477 px, 213 KB)

image.png (910×605 px, 213 KB)

image.png (904×613 px, 216 KB)

image.png (649×1 px, 116 KB)

image.png (637×1 px, 89 KB)

Change 805918 had a related patch set uploaded (by Scardenasmolinar; author: Scardenasmolinar):

[mediawiki/extensions/MobileFrontend@master] extension.json: Enable special history page for amc

https://gerrit.wikimedia.org/r/805918

Change 805918 merged by jenkins-bot:

[mediawiki/extensions/MobileFrontend@master] extension.json: Enable special history page for amc

https://gerrit.wikimedia.org/r/805918

Change 803616 merged by jenkins-bot:

[mediawiki/core@master] Bugfix: Add padding to confirmable links when hiding the rollback button

https://gerrit.wikimedia.org/r/803616

Both patches have been merged. Moving to Done.

Test wiki on Patch demo by SCardenas (WMF) using patch(es) linked to this task was deleted:

https://patchdemo.wmflabs.org/wikis/341b940b6e/w/

@Huji This issue should now be fixed - can you confirm?

I cannot but @LordProfo can. I will send them a reminder on wiki as well.

@Huji This issue should now be fixed - can you confirm?

Hello there. Yes It is fixed, Thank you.

Wonderful, thanks for confirming!

Change 804430 abandoned by Jsn.sherman:

[mediawiki/core@master] Demonstration: toggle visibility of elements in confirmation message to deal with positioning bugs

Reason:

This was a proof-of-concept used in a review for change 803616

https://gerrit.wikimedia.org/r/804430